Subject: bug#28542: Temporary failure in name resolution while quitting emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Dec 2020 17:16:43 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 03 Dec 2020 09:47:14 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > The ELisp manual says ab out kill-emacs-hook:
> >> >
> >> >      Because ‘kill-emacs’ can be called in situations where user
> >> >      interaction is impossible (e.g., when the terminal is
> >> >      disconnected), functions on this hook should not attempt to
> >> >      interact with the user.  If you want to interact with the user when
> >> >      Emacs is shutting down, use ‘kill-emacs-query-functions’, described
> >> >      below.
> >> >
> >> > So I don't think we can safely ask whether to continue.
> >> 
> >> I don't quite interpret it that way -- this only says that if your
> >> intention is to communicate with the user, then use
> >> `kill-emacs-query-functions'.
> >
> > But your suggestion was to ask the user whether to continue -- doesn't
> > that qualify as "communicating with the user"?
> 
> It does.  But the manual talks about intent -- "if you want to interact"
> -- but doesn't prohibit Emacs itself from interacting with the user.
> Obviously an error doesn't happen by intent.

I think the manual talks about situations where the communications are
impossible.  What do we do in that case?

> > Then perhaps waiting for the response for some finite time would cover
> > the cases where the user cannot answer the question?
> 
> Do you mean in the noninteractive case?  I don't propose to change
> anything unless interactive.

No, I was talking about the interactive case.  Are you assuming that
in the interactive case it is always possible to ask a question and
get a response from the user?